<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

$filtro_instalacion = "";
$lista_instalacion  = "";

if (arrayHasOnlyInts( (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true))){          
    $lista_instalacion  = implode(",", (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'],true));
    $filtro_instalacion = " AND l.instalacion_id in ( $lista_instalacion ) " ;
}

$sql_servicio_localizador = "SELECT s.id, s.nombre
							 FROM localizadores l JOIN servicios s ON l.servicio_id = s.id
							 AND l.localizador = :localizador " .$filtro_instalacion;

$result_servicio = $conexion->prepare($sql_servicio_localizador);
$result_servicio->execute(array(':localizador' => $_POST['localizador'] ));


$row_servicio = $result_servicio->fetch();

$product_lang = $language->getStringsProduct($row_servicio['id']);
echo $product_lang['nombre'];
